get configuration record by id
1 min
GET
https://api.upstartcommerce.com/v1/tax/cfg/records/{recordId}
Header Parameters
- x-upstart-tenantstringrequiredDescription
Responses
200
- object
- tenantstringrequiredDescriptionMin Length1
- domainstringrequiredDescriptionMin Length1
- recordIdstringrequiredDescriptionMin Length1
- templateIdstringrequiredDescriptionMin Length1
- siteIdsstring[]Description
- tagsstring[]
- namestringrequiredDescriptionMin Length1
- dataobjectrequired
- companyCodestringrequiredDescriptionMin Length1
- environmentstringrequiredDescriptionMin Length1
- passwordstringrequiredDescriptionMin Length1
- taxCalculationEnabledbooleanrequiredDescription
- documentRecordingEnabledbooleanrequiredDescription
- timeoutSecondsnumberrequiredDescription
- addressValidationEnabledbooleanrequiredDescription
- taxAddressobjectrequiredDescription
- countrystringrequiredDescriptionMin Length1
- stateOrRegionstringrequiredDescriptionMin Length1
- citystringrequiredDescriptionMin Length1
- postalCodestringrequiredDescriptionMin Length1
- street1stringrequiredDescriptionMin Length1
- taxProviderstringrequiredDescriptionMin Length1
- transactionLoggingEnabledbooleanrequiredDescription
- usernamestringrequiredDescriptionMin Length1
- enabledbooleanrequiredDescription
- versionnumberrequiredDescription
- accessControlobjectrequiredDescription
- readbooleanrequiredDescription
- modifybooleanrequiredDescription
- auditobjectrequiredDescription
- byIdstringMin Length1
- bystringrequiredMin Length1
- byAnonymousbooleanrequired
- atstring<date-time>requiredExampleFormatdate-timeMin Length1
- traceIdstringrequiredMin Length1
- serviceNamestringrequiredMin Length1
- serviceVersionstringrequiredMin Length1
- byDomainstringMin Length1
- bySubjectTypestringMin Length1
- traceHeadersmap<string, string>
401
- GeneralErrorDescription
- namestringrequiredDescriptionMin Length1
- codestringrequiredDescriptionMin Length1
- reasonstringDescriptionMin Length1
- detailstringrequiredDescriptionMin Length1
404
curl
curl --request GET \
--url https://api.upstartcommerce.com/v1/tax/cfg/records/{recordId} \
--header 'accept: application/json' \
--header 'x-upstart-tenant: string'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
myHeaders.append("x-upstart-tenant", "string");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.upstartcommerce.com/v1/tax/cfg/records/{recordId}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.upstartcommerce.com/v1/tax/cfg/records/{recordId}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request["x-upstart-tenant"] = "string"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.upstartcommerce.com/v1/tax/cfg/records/{recordId}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json',
'x-upstart-tenant': 'string'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Success-the configuration is displayed.
{
"tenant": "",
"domain": "",
"recordId": "",
"templateId": "",
"siteIds": [
""
],
"tags": [
""
],
"name": "",
"data": {
"companyCode": "",
"environment": "",
"password": "",
"taxCalculationEnabled": false,
"documentRecordingEnabled": false,
"timeoutSeconds": 0,
"addressValidationEnabled": false,
"taxAddress": {
"country": "",
"stateOrRegion": "",
"city": "",
"postalCode": "",
"street1": ""
},
"taxProvider": "",
"transactionLoggingEnabled": false,
"username": ""
},
"enabled": false,
"version": 0,
"accessControl": {
"read": false,
"modify": false
},
"audit": {
"byId": "",
"by": "",
"byAnonymous": false,
"at": "2021-10-28T09:03:58.705Z",
"traceId": "",
"serviceName": "",
"serviceVersion": "",
"byDomain": "",
"bySubjectType": "",
"traceHeaders": ""
}
}401
// Unauthorized-the provided credentials were invalid for this endpoint.
{
"name": "",
"code": "",
"reason": "",
"detail": ""
}404
// Not Found-the requested resource was not found in the NoChannel system.